aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xapp/emulation/qemu/qemu.SlackBuild11
-rwxr-xr-xmedia/libs/libkipi/libkipi.SlackBuild8
-rw-r--r--media/tv/tvtime.Slackbuild143
3 files changed, 156 insertions, 6 deletions
diff --git a/app/emulation/qemu/qemu.SlackBuild b/app/emulation/qemu/qemu.SlackBuild
index 46806c99..0c31c5fb 100755
--- a/app/emulation/qemu/qemu.SlackBuild
+++ b/app/emulation/qemu/qemu.SlackBuild
@@ -62,15 +62,19 @@ LIBDIR=$PREFIX/lib
# Seleciona flags para o compilador
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mtune=i686"
+ TARGET_LIST="i386-linux-user i386-softmmu"
elif [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ TARGET_LIST="i386-linux-user i386-softmmu"
elif [ "$ARCH" = "i686" ]; then
- #SLKCFLAGS="-O2 -march=i686"
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ TARGET_LIST="i386-linux-user i386-softmmu"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
+ TARGET_LIST="ppc-linux-user ppc-softmmu"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2"
+ TARGET_LIST="x86_64-linux-user x86_64-softmmu"
LIBDIR="$PREFIX/lib64"
fi
@@ -89,7 +93,10 @@ cd $PKG_DIR
# -------------- Configura programa ---------------------
# Configura programa
-CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF || exit $ERROR_CONF
+CFLAGS="$SLKCFLAGS" \
+ ./configure --target-list="$TARGET_LIST" \
+ --prefix=$PREFIX \
+ --libdir=$LIBDIR $OPTCONF || exit $ERROR_CONF
# ---------------- Compila programa ---------------------
make -j1 || exit $ERROR_MAKE
diff --git a/media/libs/libkipi/libkipi.SlackBuild b/media/libs/libkipi/libkipi.SlackBuild
index 855a7cf6..d7879fa8 100755
--- a/media/libs/libkipi/libkipi.SlackBuild
+++ b/media/libs/libkipi/libkipi.SlackBuild
@@ -2,7 +2,7 @@
#
# slackbuild for libkipi, by Rudson R. Alves
# requires: none
-# tested: libkipi-0.1.4
+# tested: libkipi-0.1.5
CWD=`pwd`
@@ -16,8 +16,8 @@ fi
# -------- Variáveis de controle de versão --------------
# Nome da fonte para a qual o slackbuild foi construído e
# o seu md5sum
-SRC_ORIG="libkipi-0.1.4.tar.bz2"
-MD5_ORIG="2d8b8da064b85b0e53a98b4a7510392e"
+SRC_ORIG="libkipi-0.1.5.tar.bz2"
+MD5_ORIG="aef790871583444cd81bd9dea9c3fd0b"
PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\1/'`
VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\2/'`
EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\3/'`
@@ -40,7 +40,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/opt/kde}
OPTCONF=${OPTCONF:=""}
MD5=${MD5:=$MD5_ORIG}
-URL=${URL:="http://superb-west.dl.sourceforge.net/sourceforge/kipi/$SRC"}
+URL=${URL:="http://ufpr.dl.sourceforge.net/sourceforge/kipi/$SRC"}
# ---------------- Download fontes ----------------------
# Fonte a ser compilada, com o path
diff --git a/media/tv/tvtime.Slackbuild b/media/tv/tvtime.Slackbuild
new file mode 100644
index 00000000..3a3bdeba
--- /dev/null
+++ b/media/tv/tvtime.Slackbuild
@@ -0,0 +1,143 @@
+#!/bin/bash
+#
+# SlackBuild for tvtime
+# http://ufpr.dl.sourceforge.net/sourceforge/tvtime/
+#
+# Author: Rudson R Alves
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="tvtime"
+PKG_NAME="tvtime"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=1.0.1}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mtune=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$SRC_VERSION.tar.gz"
+URL="http://ufpr.dl.sourceforge.net/sourceforge/tvtime/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+
+cd "$PKG_SRC"
+
+# Patch source
+if [ "$( gcc --version | head -1 | awk '{print $3}' | cut -c1-3 )" = "4.1" ]; then
+ if [ ! -e $SRC_DIR/tvtime-1.0.2-gcc41.patch ]; then
+ wget http://svn.pardus.org.tr/pardus/devel/applications/multimedia/tvtime/files/tvtime-1.0.2-gcc41.patch -P $SRC_DIR/ || exit $ERROR_WGET
+ fi
+ cd /tmp
+ patch -p0 -N -E < $SRC_DIR/tvtime-1.0.2-gcc41.patch
+ cd -
+fi
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" || exit $ERROR_CONF
+
+# Compile
+make -j2 || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="NEWS README AUTHORS INSTALL COPYING.LGPL ABOUT-NLS ChangeLog COPYING"
+mkdir -p "$PKG/$PREFIX/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/$PREFIX/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tvtime: tvtime SlackBuild by rralves
+tvtime:
+tvtime: tvtime is a high quality television application for use with
+tvtime: video capture cards on Linux systems. tvtime processes the
+tvtime: input from a capture card and displays it on a computer
+tvtime: monitor or projector.
+tvtime:
+tvtime:
+tvtime:
+tvtime:
+tvtime:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
+fi
+